View Issue Details

IDProjectCategoryView StatusLast Update
0019257MediaMonkey 5Generalpublic2022-11-15 19:46
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilitysometimes
Status assignedResolutionreopened 
Product Version5.0.3 
Target Version5.1 
Summary0019257: Playback causes MM to grab focus on artwork lookup
DescriptionThere have been 2 reports of MM grabbing focus intermittently during playback or when a new track starts playing. The effects are that the auto-hide taskbar comes to the foreground and MM comes to the foreground (e.g. interrupting full-screen video game playback).

Reported at:
Ticket 4386 / https://www.mediamonkey.com/forum/viewtopic.php?p=498427#p498427
Ticket 4489

Note:
I've been unable to replicate thus far, but debug logs have been provided.
One user confirmed that the issue even occurs with pop-ups disabled.
TagsNo tags attached.
Fixed in build2661

Relationships

related to 0019395 closedpetr MediaMonkey grabs focus from other apps on track transition 
related to 0019478 assignedpetr Auto-tag: AA lookup causes MediaMonkey to grab focus from other apps / from MM internal controls 
child of 0019488 assignedpetr MMW grabs focus whenever a new window opens 

Activities

petr

2022-08-23 12:50

developer   ~0069047

Most probably it was caused by artwork lookup (probably because of invisible cookies acceptance window) ... should be fixed in next build where issue with this acceptance is fixed.

rusty

2022-10-28 18:34

administrator   ~0070044

Last edited: 2022-11-01 21:00

Tested build 2679 and this issue isn't fixed. i.e. when Album Art lookup is enabled and the user plays tracks that are missing album art
--> when the new track starts playing and album art is looked up, MM steals focus from other apps. In this case, it means that:
a) keyboard input is grabbed away from the active app
b) as soon as keyboard input appears in MM, MM is moved to the foreground

Most likely it has the same underlying cause as 0019478 and 0019488.

Test note: It may be possible to trigger this issue without playback. e.g. fresh install of MM and a music collection devoid of artwork. If the user navigates to Music > Albums --> artwork would be looked up for many albums, continually stealing focus from whatever other app is active. This should be tested as well.

rusty

2022-11-09 15:17

administrator   ~0070216

Petr indicated that it's possibly related to a registry setting. It turns out that on my system HKCU/Control Panel/Desktop ForegroundLockTimeout was set to 0 rather than the default value of 200000.

Upon changing it to the default value, the bug still occurs albeit less frequently and with shorter duration. i.e. MM grabs focus for only 3-5 keystrokes whereas previously, it would grab focus for 5-15 keystrokes. Note also that whenever the bug occurs now, the MM taskbar icon flashes.

rusty

2022-11-15 19:46

administrator   ~0070321

Pushed to 5.1.